/*
 * 	BMP180_I2C.h
 *
 *  Created on: 21.12.2014
 *  Author: Gerrit Buhe, DL9GFA
 */

#ifndef BMP180_I2C_H_
#define BMP180_I2C_H_

#define BMP180_ADDRESS	0x77
#define BMP180_OSS		3					//OverSampling Setting 0...3, from low power to ultra high resolution pressure measurements

uint8_t BMP180_presentDetect( void);
void 	BMP180_init( void);
void 	BMP180_reset( void);
void 	BMP180_startTempMeasurement( void);
int16_t BMP180_getTempMeasurement( void);
void 	BMP180_startPressureMeasurement( void);
uint16_t BMP180_getPressureMeasurement( void);

#endif /* BMP180_I2C_H_ */
